<template>
  <section>
    <div>
      <nuxt-link to="/">Back</nuxt-link>
    </div>
    <post :post="post" />
  </section>
</template>

<script>
import Post from '~/components/Post.vue'

export default {
  components: {
    Post
  },
  computed: {
    post() {
      return this.$store.state.posts.find((el, i, a) => {
        return el.slug == this.$route.params.slug
      })
    }
  }
}
</script>

<style scoped>
section {
  padding: 0px 5vw;
}

section > div {
  padding-bottom: 10px;
}
</style>
